import os
import shutil
from datetime import datetime

source_directory = "source_directory"
backup_directory = "backup_directory"

#If backup folder not exist so make it
if not os.path.exists(backup_directory):
    os.mkdir(backup_directory)
    print(f"Our Backup Directory is: {backup_directory}")

#Copy from Source to Dst:
for filename in os.listdir(source_directory):
    source_file = os.path.join(source_directory, filename) #source_directory/Database.xlsx
    backup_file = os.path.join(backup_directory, filename) #backup_directory/Database.xlsx
    if os.path.isfile(source_file):
        shutil.copy2(source_file, backup_file)
        print(f"Copy {filename} to {backup_directory}")

#Show backup time
backup_time = datetime.now().strftime("%Y-%m-%d %H-%M-%S")
print(f"The date of backup is {backup_time}")

